<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}
// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CSitemaps extends CPlugin{
	

	function __construct() {
		//$this->CPlugin($db, $tables , $templates);
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;

		parent::DoEvents();
	}


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function adminCronJob($module) {

		return array(
			
			array(
				"module"			=> $module["module_id"],
				"module_name"		=> $module["module_name"],					
				"module_code"		=> $module["module_code"],

				"type"				=> "1",
				"action"			=> "CronPingGoogle",

				"minute"			=> "*",
				"hour"				=> "*",
				"day"				=> "*/2",
				"month"				=> "*",
				"year"				=> "*",
			),

		);

	}
	

}

?>